[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Fab-user] Blog post on deploying applications with Fabric

From: Jeff Forcier
Subject: Re: [Fab-user] Blog post on deploying applications with Fabric
Date: Fri, 7 Nov 2008 12:06:46 -0500

> I should note that I
> pulled 0.0.9 from the Git repository - which is apparently why I must use
> config.fab_hosts.

After you did the initial 'git clone', did you explicitly change to
the 0.0.9 tag, or did you leave it on the 'master' branch? The Git
repository's master branch is *not* currently equivalent to the 0.0.9
release (using master is like tracking trunk on an SVN repo) as many
changes have been made, such as the config.* method versus

So, depending on how you want to be using Fabric, you should either
make sure you've downloaded the 0.0.9 release from e.g.
easy_install/PyPI, or keep tracking the Git repo but refer to it as
'master' or 'the Git repo' or similar, instead of using a version
number :)

It'd be great if you could update your blog entry once you've figured
out exactly what version of the code you're on / would like to be on
-- that way any new folks reading it won't get confused.

As Christian said, though, overall it was a great entry -- many thanks
for writing it!!


reply via email to

[Prev in Thread] Current Thread [Next in Thread]